Subject: RE: [Isis-wg] isisLSPTable

From: "Ganguly, Shamik" <[email-masked]>
Date: Wed, 16 Oct 2002 11:57:55 -0400

Hi,

Suggestion from Don about BITS-defined string is acceptable for
isisLSPAttributes. On second thought, it is also okay to keep the field as
it was originally defined by Jeff. This table will most likely be used by
people who do not need any initiation to isis protocol and deciphering 8
bits of data is not a big deal. On the pros side it will keep the
implementation simple.

I have a few more questions regarding draft 10.

1. Can we have a counter in the system counters table to count the number of
times spf algorithm was executed starting when the system came up.

2. isisPacketCountUnknown should not be required. Why will an non-ISIS
packet reach inside isis stack. Number of non-ISIS packets that were
received by the system should be inconsequential to isis, so it should not
be there in ISIS-MIB.

3. I had asked this question about draft9 as well. Draft10 does not seem to
have something to regulate leaking of routes to L2 from L1. We can either
add a new field to isisRedistributeTable to differentiate between the two or
create a separate table.

-Shamik

-----Original Message-----
From: Don Goodspeed [mailto:[email-masked]]
Sent: Tuesday, October 15, 2002 7:16 PM
To: Jeff Parker; 'Ganguly, Shamik'; 'Manral, Vishwas'; 'Joyal, Daniel R
(Daniel)'; [email-masked]'
Cc: Bingzhang Zhao
Subject: RE: [Isis-wg] isisLSPTable

Jeff and Shamik,

Regarding #2, I was typing up a comment to suggest
we change this from an Unsigned8TC to a BITS-defined
string which better represents what this field
actually is.  Since each bit is enumerated, when
the attribute is walked, or gotten directly, it
reads something like:
isisLSPAttributes.1.2.18.0.0.0.0.1.0.0 : BITS 0b
attached(3) l2(1) l1(0)

In this case, instead of a value of 11, it lists
the hex value and lists the enumerations on those
bits that are set to 1.  The only caveat is that
ISO 10589 numbers its bits 8 thru 1 while the BITS
strings is numbered 7 thru 0 (left to right).

-don

--- Jeff Parker <[email-masked]> wrote:
> > > 2. isisLSPAttributes should be broken into
> separate fields for
> > > PartitionRepairBit, AttachedBit and OverloadBit.
> > 
> > Could do this.  More work to get and view, but
> could do this.
> > 
> > <Shamik> This definitely has some value to it.
> Will make the 
> > flags more
> > readable.
>  
> If SNMP bits on the wire were free, I would feel
> much better
> about this.  
> 
> > > 4. isisLSPTLVType field should be in enumeration
> of the 
> > list of types supported.
> > 
> > The idea is not to limit ourselves - we expect
> people to add 
> > more types.
> > 
> > <Shamik> Can we not add new enumerations when they
> become 
> > available? Having enumerations will make the mib
> more readable.
> 
> So what will happen when a new TLV is introduced? 
> We need
> to rev the mib?  
> 
> - jdp
> 

__________________________________________________
Do you Yahoo!?
Faith Hill - Exclusive Performances, Videos & More
http://faith.yahoo.com
_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg